/******************************************************************************/
/* Trigger: DTULTATU_MOTIVODEV                                                */
/* Tabela : MOTIVODEV                                                         */
/* Criao: 03/07/2012 - Mrcio Lima                                          */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_MOTIVODEV
BEFORE INSERT OR UPDATE OR DELETE
ON MOTIVODEV FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF NVL(:OLD.CDMOTIVODEV,  0) <> NVL(:NEW.CDMOTIVODEV, 0) OR
         NVL(:OLD.NMMOTIVODEV,  0) <> NVL(:NEW.NMMOTIVODEV, 0)  THEN
         :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
           VALUES ('MOTIVODEV', '', 'CDMOTIVODEV='||:OLD.CDMOTIVODEV||';'
                 ||'NMMOTIVODEV='||:OLD.NMMOTIVODEV||';', SYSDATE);
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_MOTIVODEV','5.45.xxx'); END;
/

