/* @C:\web_509\SQL\end_conv\oracle\4201_GOPTRGO_LOG_OPERGRENTEOP.sql
   Trigger criada para gerar log das transaes na tabela OPGRUPGERENTEOP */

CREATE OR REPLACE TRIGGER LOG_OPGRUPGERENTEOP
AFTER DELETE OR INSERT
ON OPGRUPGERENTEOP FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_USUARIO      VARCHAR2(40);
  V_TIPO         VARCHAR2(1);
  V_ITPESQ       VARCHAR2(40);
  V_DESC         VARCHAR2(300);
  V_DTOPER       DATE;
BEGIN
   V_TIPO := '0';
   V_DESC := '';

   IF DELETING THEN

      IF :OLD.CDGRUPGERENTEOP IS NOT NULL THEN
         V_DESC := V_DESC || ' Gerente=' || :OLD.CDGRUPGERENTEOP;
      END IF;

      IF :OLD.CDOPERADOR IS NOT NULL THEN
         V_DESC := V_DESC || ' Operador=' || :OLD.CDOPERADOR;
      END IF;

      V_TIPO         := '3';
      V_ITPESQ       := :OLD.CDGRUPGERENTEOP||';'||:OLD.CDOPERADOR;
   ELSE
      V_TIPO         := '1';
      V_ITPESQ       := :NEW.CDGRUPGERENTEOP||';'||:NEW.CDOPERADOR;

      IF :NEW.CDGRUPGERENTEOP IS NOT NULL THEN
         V_DESC := V_DESC || ' Gerente=' || :NEW.CDGRUPGERENTEOP;
      END IF;

      IF :NEW.CDOPERADOR IS NOT NULL THEN
         V_DESC := V_DESC || ' Operador=' || :NEW.CDOPERADOR;
      END IF;

   END IF;

   IF V_TIPO <> '0' THEN
      NMUSUARIO(V_USUARIO);
      WEBTUNNING(V_DSREMOTEADDR,
                 V_DSREMOTEHOST,
                 V_DSSERVERRDM,
                 V_DSSERVMETHOD,
                 V_DSREMOTEOPER);
      IF NOT V_DESC IS NULL THEN
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;

            INSERT INTO LOGOPERA
               (NMTABELA,   DTOPERACAO, NMRESPOPER,
                IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER,
                DSMETUSUOPER, CDORESPOPER)
            VALUES
               ('OPGRUPGERENTEOP',  V_DTOPER, V_USUARIO,
                V_TIPO,      V_ITPESQ, V_DESC,
                V_DSSERVERRDM, V_DSREMOTEADDR,
                V_DSREMOTEHOST, V_DSSERVMETHOD, V_DSREMOTEOPER);
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_OPGRUPGERENTEOP','5.09.000'); END;
/

